/*#region FONT-AND-RESET*/
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@100;200;300;400;500;600;700;800;900&family=Ubuntu:wght@300;400;500;700&display=swap');
*, *::before, *::after {border: none; outline: none; font-size: inherit; font-family: inherit; color: inherit; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box; padding: 0px; margin: 0px;}
table {border-collapse: collapse;}
button {width: max-content;}
a {text-decoration: none;}
button, textarea, input, select, a {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}
button, input[type="button"], input[type="submit"] {cursor: pointer;}
/*#endregion FONT-AND-RESET*/



/*#region BASE-STYLING*/
:root {
    font-size: 20px;
    font-family: 'Ubuntu', Arial, Helvetica, sans-serif;
    --light: 242, 242, 248;
    --light-2: 250, 250, 255;
    --light-3: 215, 215, 234;
    --dark: 45, 48, 71;
    --dark-2: 64, 68, 100;
    --dark-3: 32, 34, 50;
    --burgundy: 164, 48, 63;
    --burgundy-2: 200, 65, 83;
    --burgundy-3: 142, 41, 55;
    --orange: 252, 122, 30;
    --orange-2: 252, 137, 54;
    --orange-3: 241, 103, 4;
    --green: 29, 175, 104;
    --green-2: 34, 211, 125;
    --green-3: 23, 140, 84;
    --gap: 2rem;
    --half-gap: calc(var(--gap) / 2);
}
html, body {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    background-color: rgb(var(--dark));
    color: rgb(var(--light));
}
::selection {background-color: rgba(var(--green-3), 0.75);}

/*#endregion BASE-STYLING*/



/*#region GENERAL*/
input[type="text"],
input[type="email"],
input[type="password"],
input[type="number"] {
    font-size: 1rem;
    line-height: 1rem;
    padding: 0.5em;
    border-radius: 3rem;
    background-color: rgb(var(--dark-3));
    border: 2px solid rgba(0, 0, 0, 0);
    border-right: 2px solid rgb(var(--dark));
    color: rgb(var(--light));
    padding-left: 1em;
}
input[type="text"]::placeholder,
input[type="email"]::placeholder,
input[type="password"]::placeholder,
input[type="number"]::placeholder {
    color: rgba(var(--light-3), 0.5);
    transition: color 150ms ease;
}
input[type="text"]:focus::placeholder,
input[type="email"]:focus::placeholder,
input[type="password"]:focus::placeholder,
input[type="number"]:focus::placeholder {
    color: rgba(var(--light-3), 0.25);
}
input:focus:invalid {
    border-right: 2px solid rgb(var(--burgundy-2));
}
input:required {
    border-right: 2px solid rgb(var(--orange-2));
}
input[type="button"],
button {
    background-color: rgb(var(--dark-3));
    padding: 0.5em 1em;
    transition: background-color 200ms ease;
    border-radius: 3rem;
    cursor: pointer;
}
input[type="button"]:disabled,
button:disabled {
    filter: brightness(0.75);
    cursor: not-allowed;
}
input[type="button"]:not(:disabled):hover,
button:not(:disabled):hover {
    background-color: rgb(var(--dark-2));
}
input[type="button"]:focus,
button:focus {
    outline: 0.125rem currentColor solid;
    outline-offset: -0.125rem;
}
input:not([type="submit"]):valid {
    border-right: 2px solid rgb(var(--green-2));
}
input[type="submit"] {
    padding: 0.5em 1em;
    border-radius: 3rem;
    background-color: rgb(var(--green));
    transform: scale(1);
    transition: 150ms ease;
    transition-property: background-color, transform;
}
input[type="submit"]:hover,
input[type="submit"]:focus {
    background-color: rgb(var(--green-2));
}
input[type="submit"]:active {
    transform: scale(0.95);
    background-color: rgb(var(--green-3));
}
input:autofill,
input:-webkit-autofill,
input:-o-autofill,
input:-moz-autofill {
    background-color: rgb(var(--dark-3)) !important;
    background-image: none !important;
    color: rgb(var(--light)) !important;
    box-shadow: inset 0px 0px 0px 3em rgb(var(--dark-3));
}
textarea {
    border-radius: 1.25rem;
    border: none;
    overflow: hidden;
    font-size: 1rem;
    line-height: 1rem;
    padding: 0.5em 0.5em 0.5em 1em;
    background-color: rgb(var(--dark-3));
    color: rgb(var(--light));
    width: 100%;
    overflow-y: auto;
    resize: vertical;
}
.custom-checkbox {
    height: 2.5em;
    width: 2.5em;
    background-color: rgb(var(--dark-3));
    border-radius: 0.5em;
    display: grid;
    place-items: center;
    overflow: hidden;
}
.custom-checkbox:focus {
    outline: 0.125em solid currentColor;
    outline-offset: -0.125em;
}
.custom-checkbox > .checkmark {
    display: none;
    width: 70%;
    height: 70%;
    -webkit-user-drag: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
}
.custom-checkbox.checked > .checkmark {
    display: unset;
}
/*#endregion GENERAL*/



/*#region NAVIGATION*/
nav {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    position: fixed;
    width: 100%;
    left: 0px;
    top: 0px;
    background-color: rgb(var(--dark-3));
    color: rgb(var(--light));
    align-items: center;
    height: 3rem;
    z-index: 10;
}
#logo {
    height: 2rem;
    line-height: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
}
#logo > img {
    height: 2rem;
}
#logo > img::selection {
    background-color: rgba(0, 0, 0, 0);
}

#mobile-menu {
    display: none;
    height: 3rem;
    width: 3rem;
    position: relative;
    background-color: rgb(var(--dark-3));
    cursor: pointer;
}
#mobile-menu:hover,
#mobile-menu:focus {
    outline: none;
}
#mobile-menu > div {
    position: absolute;
    width: 2rem;
    right: 0.5rem;
    height: 0.125rem;
    border-radius: 0.125rem;
    transform: translateY(-50%) rotate(0deg);
    transition: 250ms ease;
    transition-property: width, transform, top, background-color;
}
#mobile-menu > div:nth-of-type(1) {top: 0.8rem; background-color: rgb(var(--green));}
#mobile-menu > div:nth-of-type(2) {top: 1.5rem; background-color: rgb(var(--orange));}
#mobile-menu > div:nth-of-type(3) {top: 2.2rem; background-color: rgb(var(--burgundy));}
#mobile-menu.open > div:nth-of-type(1) {
    top: 1.5rem;
    transform: translateY(-50%) rotate(-45deg);
    background-color: rgb(var(--burgundy));
}
#mobile-menu.open > div:nth-of-type(2) {width: 0rem;}
#mobile-menu.open > div:nth-of-type(3) {
    top: 1.5rem;
    transform: translateY(-50%) rotate(45deg);
}

#nav-urls {
    display: flex;
    flex-direction: row;
    pointer-events: none;
}
.nav-button {
    font-size: 1rem;
    line-height: 1rem;
    padding: 1rem 0.5rem;
    border-radius: 0px;
    transition: 150ms ease;
    transition-property: color, background-color;
    background-color: rgb(var(--dark-3));
    pointer-events: all;
    cursor: pointer;
}
.nav-button::selection {
    background-color: rgba(0, 0, 0, 0);
}
.nav-button::before {display: inline-block; content: "["; opacity: 0; transform: translateX(-100%); transition: 150ms ease; transition-property: opacity, transform;}
.nav-button::after {display: inline-block; content: "]"; opacity: 0; transform: translateX(100%); transition: 150ms ease; transition-property: opacity, transform;}
.nav-button:not(:disabled):hover::before {opacity: 1; transform: translateX(-0.25em);} 
.nav-button:not(:disabled):hover::after {opacity: 1; transform: translateX(0.25em);}
.nav-button:not(:disabled):nth-of-type(3n+1):hover {color: rgb(var(--green-2));}
.nav-button:not(:disabled):nth-of-type(3n+2):hover {color: rgb(var(--orange-2));}
.nav-button:not(:disabled):nth-of-type(3n+3):hover {color: rgb(var(--burgundy-2));}
.nav-button:not(:disabled):nth-of-type(3n+1):active {color: rgb(var(--dark-3)); background-color: rgb(var(--green-2));}
.nav-button:not(:disabled):nth-of-type(3n+2):active {color: rgb(var(--dark-3)); background-color: rgb(var(--orange-2));}
.nav-button:not(:disabled):nth-of-type(3n+3):active {color: rgb(var(--dark-3)); background-color: rgb(var(--burgundy-2));}
.nav-button:focus {
    outline: 0.125em solid currentColor;
    outline-offset: -0.125em;
}
/*#endregion NAVIGATION*/



/*#region MAIN*/
header {
    background-image: url("img/banner.jpg");
}
main {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--gap);
    margin-top: 3rem;
    width: 100%;
}
section {
    display: grid;
    grid-template-areas:
    "title title"
    "text image";
    grid-template-columns: 3fr 2fr;
    width: 100%;
    padding: 5rem 10vw;
    /* background-color: rgb(var(--dark-3)); */
}
section:nth-of-type(2n) {
    grid-template-areas:
    "title title"
    "image text";
    grid-template-columns: 2fr 3fr;
}
section > h1 {
    grid-area: title;
    font-family: 'Raleway', Arial, Helvetica, sans-serif;;
    font-weight: 300;
    font-size: 2rem;
    margin-bottom: 2em;
    text-align: center;
}
.text-box {
    grid-area: text;
    display: grid;
    place-items: center;
    text-align: justify;
}
section p {
    font-size: 1rem;
    margin-bottom: 0.75em;
}
.image-box {
    grid-area: image;
    display: grid;
    place-items: center;
    padding: 0rem 2rem;
}
section svg {
    width: 100%;
}
section svg path {
    fill: none;
    stroke-dasharray: 0;
    stroke-dashoffset: 0;
    stroke-linecap: round;
    stroke-miterlimit: 10;
    stroke-width: 1%;
    fill: none;
}
section svg path:nth-of-type(n) {stroke: rgb(var(--green));}
section svg path:nth-of-type(2n) {stroke: rgb(var(--orange));}
section svg path:nth-of-type(3n) {stroke: rgb(var(--burgundy));}
section svg path.burgundy {stroke: rgb(var(--burgundy));}
section svg path.orange {stroke: rgb(var(--orange));}
section svg path.green {stroke: rgb(var(--green));}
/*#endregion MAIN*/



/*#region FOOTER*/
footer {
    width: 100%;
    padding: var(--gap);
    background-color: rgb(var(--dark-3));
    text-align: center;
}
/*#endregion FOOTER*/



/*#region TOAST*/
#toast {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: var(--half-gap);
    position: fixed;
    bottom: var(--gap);
    left: var(--gap);
    z-index: 11;
    padding: var(--half-gap);
    background-color: rgb(var(--dark-3));
    box-shadow: 0 0 1rem -0.5rem rgba(0, 0, 0, 0.5);
    overflow: hidden;
    opacity: 1;
    transform: scaleX(100%);
    transform-origin: left center;
    transition: opacity 250ms ease, transform 250ms ease;
}
#toast > .toast-icon {
    height: 2rem;
    width: 2rem;
}
#toast > .toast-message {
    font-size: 0.8rem;
    width: fit-content;
}
#toast.hidden {
    opacity: 0;
    transform: scaleX(0%);
}
/*#endregion TOAST*/



@media (max-width: 900px) {
    :root {
        font-size: 18px;
    }    
    .nav-button {
        padding: 1rem 0.25rem;
    }
}
@media (max-width: 768px) {
    nav {
        justify-content: space-between;
    }
    #logo {
        height: 2.25rem;
    }
    #mobile-menu {
        display: unset;
    }
    #nav-urls {
        flex-direction: column;
        align-items: center;
        overflow: hidden;
        width: 100%;
    }
    .nav-button {
        width: 100%;
        text-align: center;
        padding: 0.75em;
        transform: translateX(100%);
        transition: transform 250ms ease;
    }
    .nav-button:nth-child(1) {transition-delay: 0ms;}
    .nav-button:nth-child(2) {transition-delay: 50ms;}
    .nav-button:nth-child(3) {transition-delay: 100ms;}
    .nav-button:nth-child(4) {transition-delay: 150ms;}
    .nav-button:nth-child(5) {transition-delay: 200ms;}
    .nav-button:nth-child(6) {transition-delay: 250ms;}
    .nav-button:nth-child(7) {transition-delay: 300ms;}
    .nav-button:nth-child(8) {transition-delay: 350ms;}
    .nav-button:nth-child(9) {transition-delay: 400ms;}
    .nav-button:nth-child(10) {transition-delay: 450ms;}
    #nav-urls.open .nav-button {
        transform: translateX(0%);
    }
    main {
        gap: 0rem;
    }
    section h1 {
        margin-bottom: 2rem;
    }
    section, section:nth-of-type(2n) {
        grid-template-areas:
        "title"
        "image"
        "text";
        grid-template-columns: 1fr;
        padding: 4rem 3rem;
    }
    .image-box {
        padding: 0rem 2rem 2rem 2rem;
    }
}


@media (max-width: 400px) {
    :root {
        font-size: 16px;
    }
}


/*#region UTILITY*/
.w25 {width: 25%;}
.w50 {width: 50%;}
.w75 {width: 75%;}
.w100 {width: 100%;}
.flex-column {display: flex; flex-direction: column; align-items: center;}

button.bg-burgundy {background-color: rgb(var(--burgundy))}
button.bg-burgundy:hover {background-color: rgb(var(--burgundy-2))}
button.bg-orange {background-color: rgb(var(--orange))}
button.bg-orange:hover {background-color: rgb(var(--orange-2))}
button.bg-green {background-color: rgb(var(--green))}
button.bg-green:hover {background-color: rgb(var(--green-2))}

/*#endregion UTILITY*/
